Skip to content

Retrieves a transaction by ID

Request

GET {{baseURL}}/pay-api/v1/transactions/{{transactionId}}

This endpoint retrieves a specified transaction details.

See Also:
To list transactions, see GET /pay-api/v1/transactions.
To create a transaction, see POST /pay-api/v1/transactions/sale.
To capture a transaction, see POST /pay-api/v1/transactions/capture.
To void a transaction, see POST /pay-api/v1/transactions/void.

Security
Bearer
Path
transactionIdstring, (uuid)required

Specifies the transaction identifier.

Example:c7c15dd0-03e7-4e55-917c-54bedafba5e7
curl -i -X GET \
  'https://developer.flute.com/_mock/api-reference/pay-api/v1/transactions/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
transactionIdstring, (uuid)

Indicates the transaction identifier.

Example: c7c15dd0-03e7-4e55-917c-54bedafba5e7

Example:"c7c15dd0-03e7-4e55-917c-54bedafba5e7"
transactionDateTimestring, (date-time)

Indicates the date and time (in an ISO 8601 date-time UTC format) of the transaction execution.

Examples: 2026-02-19T20:24:52.934Z

Example:"2026-02-19T20:24:52.934Z"
amountobject

Indicates an object detailing the amount.

currencyIdinteger, (int32)

Indicates the Flute currency identifier.

Always set to 1.

Example: 1

Example:1
currencystring or null

Indicates the currency code (in ISO 4217 currency code).

Example: USD

Example:"USD"
processorIdstring, (uuid)

Indicates the processor identifier.

Example: f019d5e6-7f8a-4b9c-0d1e-2f3a4b5c6d92

Example:"f019d5e6-7f8a-4b9c-0d1e-2f3a4b5c6d92"
processorstring or null

Indicates the payment processor.

This is the system or company that handles the actual movement and authorization of payment transactions.

Examples:
TSYS
Fiserv

Example:"TSYS"
operationTypeIdinteger, (int32)

Indicates the operation type value.

Possible values:

IdOperation Type
1PayNow
2Subscription

example: 1

Example:1
operationTypestring or null

Indicates the operation type.

Possible values:

Operation TypeId
PayNow1
Subscription2

Example: PayNow

Example:"PayNow"
paymentMethodTypeIdinteger, (int32)

Indicates the payment method type identifier.

Value values:

IdName
1Card (for credit card)
2ElectronicCheck

Example: 2

Example:2
paymentMethodTypestring or null

Indicates the payment method type name.

Value values:

NameIdNotes
Card1For credit or debit card
ElectronicCheck2

Example: Card

Example:"Card"
transactionTypeIdinteger, (int32)

Indicates the transaction type identifier.

Possible values:

TypeValue
Authorization1
Sale2
Capture3
Void4
Refund5
Verify6

Example: 5

Example:5
transactionTypestring or null

Indicates the transaction type name.

Possible values:

ValueType
Authorization1
Sale2
Capture3
Void4
Refund5
Verify6

Example: Refund

Example:"Refund"
customerIdstring or null, (uuid)

Indicates the customer identifier.

This is used when saving the payment method.
If this value is provided, the payment method is saved to the specified customer.
If this value is not provided, a new customer record is created.

Example: fd9198a4-eb6f-4620-9603-4f4638289de5

Example:"fd9198a4-eb6f-4620-9603-4f4638289de5"
customerPanstring or null

Indicates customer’s PAN (primary account number).

This is the payment card number. The value is masked except for a few numbers for additional security.

Example: ************3655

Example:"************3655"
cardTokenTypeinteger, (int32)

Identifies the card token type.

Possible values:

IdTypeDescription
1LocalRegular
2NetworkNetwork

Example: 2

Example:2
statusIdinteger, (int32)

Example: 2

Example:2
statusstring or null

Example: Captured

Example:"Captured"
merchantNamestring or null

Indicates the merchant's name.

Example: Peppared Street Cafe

Example:"Peppared Street Cafe"
merchantAddressstring or null

Indicates the merchant's address.

Example: 123 Main St, Springfield, IL 62701

Example:"123 Main St, Springfield, IL 62701"
merchantPhoneNumberstring or null, (E.164), <= 20 characters^(null|\+\d{1,20})$

Indicates the merchant's phone number.

Example: +14155552309

Example:"+14155552309"
merchantEmailAddressstring or null

Indicates the merchant's email address.

Example: peppared@example.com

Example:"peppared@example.com"
merchantWebsitestring or null

Indicates the merchant's website.

Example: https://www.peppared.example.com

Example:"https://www.peppared.example.com"
authCodestring or null

Indicates the authorization code returned by the card processor.

Example: 003772

Example:"003772"
sourceobject

Indicates the source of the transaction.

cardholderAuthenticationMethodIdinteger, (int32)

Possible values:

ValueName
0NotAuthenticated
1PIN
2ElectronicSignatureAnalysis
3ManualSignature
4ManualOther
5Unknown
6SystematicOther
7ETicketEnvAmex
8OfflinePin

Example: 0

Example:0
cardholderAuthenticationMethodstring or nullread-only

Indicates the name of the cardholder authentication method used for the transaction.

Example: PIN

Example:"PIN"
cvmResultMsgstring or null

Indicates the CVM (cardholder verification method) result message returned by the card processor.

Example: Approved

Example:"Approved"
cardDataSourceIdinteger, (int32)

Specifies the card data source.

Possible values:

ValueNameDescription
1InternetVirtual Terminal, ISV API
2SwipeTrack1, Track2
3NFCEMV Tags, Track2
4EMVEMV Tags
5EMVContactlessEMV Tags
6FallbackSwipeTrack 2
7ManualCard present keyed transaction

Example: 2

Example:2
cardDataSourcestring or nullread-only

Indicates the name of the card data source used for the transaction.

Example: Swipe

Example:"Swipe"
responseCodestring or null

Indicates a response code regarding the transaction.

Example: 000

Example:"000"
responseDescriptionstring or null

Indicates a free-formed description regarding the transaction.

Example: Command Successful. Approved.

Example:"Command Successful. Approved."
cardProcessingDetailsobject

Indicates the card processing details for the transaction.

achProcessingDetailsobject

Indicates the ACH (automated clearing house) processing details for the transaction.

availableOperationsArray of objects or null

Available operations that can be performed on the transaction.

avsResponseobject

Address Verification Service Response

emvTagsobject

Indicates the EMV (Europay, Mastercard, and Visa) tag data for the transaction.

orderNumberstring or null

Indicates the order number associated with the transaction.

Example: ORD-10293

Example:"ORD-10293"
tsysCardDetailsobject

Indicates the card processing details for the transaction.

achDetailsobject

Indicates the ACH (automated clearing house) processing details for the transaction.

baseAmountnumber, (double)deprecated

Identifies the original amount (in USD) of a transaction before adjustments are applied.

Deprecated. Use Amount.BaseAmount

Example: 129.99

Example:129.99
totalAmountnumber, (double)deprecated

Deprecated. Use Amount.TotalAmount

Response
{ "baseAmount": 100, "totalAmount": 100, "tsysCardDetails": { "authCode": "A0000", "mid": "222222222", "tid": "1000001" }, "achDetails": { "customerAccountNumber": null, "customerRoutingNumber": null, "accountHolderType": null, "accountHolderTypeId": 0, "accountType": null, "accountTypeId": 0, "taxId": null }, "transactionId": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d81", "transactionDateTime": "2025-12-15T10:35:52.5407322Z", "amount": { "baseAmount": 100, "percentageOffAmount": 0, "percentageOffRate": 0, "cashDiscountAmount": 0, "cashDiscountRate": 0, "surchargeAmount": 0, "surchargeRate": 0, "tipAmount": 0, "tipRate": 0, "totalAmount": 100 }, "currencyId": 1, "currency": "USD", "processorId": "c3d4e5f6-a7b8-4c9d-0e1f-2a3b4c5d6e92", "processor": "TSYS Sample", "operationTypeId": 1, "operationType": "PayNow", "paymentMethodTypeId": 1, "paymentMethodType": "Card", "transactionTypeId": 1, "transactionType": "Authorization", "customerId": null, "customerPan": "************4512", "cardTokenType": 1, "statusId": 1, "status": "Authorized", "merchantName": "Your Company", "merchantAddress": "WallStreet 1, New York", "merchantPhoneNumber": "1555123123", "merchantEmailAddress": "support@company.com", "merchantWebsite": "", "authCode": "A0000", "source": { "typeId": 1, "type": "Portal", "id": "7b592aea-b3bd-4ac1-a1e6-c63c5080554e", "name": "SourceName" }, "cardholderAuthenticationMethodId": null, "cardholderAuthenticationMethod": null, "cvmResultMsg": null, "cardDataSourceId": null, "cardDataSource": null, "responseCode": null, "responseDescription": null, "cardProcessingDetails": { "authCode": "A0000", "mid": "222222222", "tid": "1000001", "cardCreditDebitTypeId": 1, "cardCreditDebitType": "Credit", "processCreditDebitTypeId": 1, "processCreditDebitType": "Credit", "rrn": "10628361287F", "cardTypeId": 0, "cardType": null }, "achProcessingDetails": { "customerAccountNumber": null, "customerRoutingNumber": null, "accountHolderType": null, "accountHolderTypeId": 0, "accountType": null, "accountTypeId": 0, "taxId": null }, "availableOperations": [ { "typeId": 3, "type": "Capture", "availableAmount": 97.85, "suggestedTips": null }, { "typeId": 4, "type": "Void", "availableAmount": null, "suggestedTips": null } ], "avsResponse": { "actionId": 1, "action": "Allow", "responseCode": "0", "groupId": 5, "group": "ValidGroup", "resultId": 1, "result": "Passed", "codeDescription": "The The street address and ZIP Code match the information on file." }, "emvTags": { "ac": "533C2902770EA987", "tvr": "0040040000", "tsi": null, "aid": "A0000000031010", "applicationLabel": "MasterCard", "rawTags": [ { "key": "5F34", "value": "SOMETHING" }, { "key": "5F35", "value": "SOMETHING" } ] }, "orderNumber": "752314" }